# homepage -- https://gethomepage.dev/

services:
    homepage:
        container_name: homepage
        image: ghcr.io/gethomepage/homepage:latest
        environment:
            - PUID=1000
            - PGID=1000
            - HOMEPAGE_ALLOWED_HOSTS=*
        env_file:
            - .env
        volumes:
            - ./config:/app/config
            - ./images:/app/public/images
            - /var/run/docker.sock:/var/run/docker.sock:ro # docker socket
        ports:
            - ${HOMEPAGE_PORT}:3000
        restart: unless-stopped
        labels:
            # Nginx Proxy Manager Automation
            - "npm.proxy.domains=homepage"
            - "npm.proxy.port=${HOMEPAGE_PORT}"
            - "npm.proxy.scheme=http"
            # Pi-hole Automation (Point to Docker Host/Proxy IP)
            - "pihole.custom-record=[[\"homepage\", \"${DOCKER_HOST_IP}\"]]"
